org.apache.avro.ipc

## Class MD5

- java.lang.Object
- - org.apache.avro.specific.SpecificFixed
  - - org.apache.avro.ipc.MD5

All Implemented Interfaces:
  Externalizable, Serializable, Comparable<org.apache.avro.specific.SpecificFixed>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericFixed

    @FixedSize(value=16)
    public class MD5
    extends org.apache.avro.specific.SpecificFixed

See Also:
  Serialized Form

### Field Summary

Fields
`static org.apache.avro.Schema` `SCHEMA$`

### Constructor Summary

Constructors
Constructor and Description
`MD5()` Creates a new MD5
`MD5(byte[] bytes)` Creates a new MD5 with the given bytes.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.apache.avro.Schema` `getClassSchema()`
`org.apache.avro.Schema` `getSchema()`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.avro.specific.SpecificFixed

`bytes, bytes, compareTo, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SCHEMA$

    public static final org.apache.avro.Schema SCHEMA$

### Constructor Detail

#### MD5

    public MD5()

Creates a new MD5

#### MD5

    public MD5(byte[] bytes)

Creates a new MD5 with the given bytes.

Parameters:
  `bytes` - The bytes to create the new MD5.

### Method Detail

#### getClassSchema

    public static org.apache.avro.Schema getClassSchema()

#### getSchema

    public org.apache.avro.Schema getSchema()

Specified by:
  `getSchema` in interface `org.apache.avro.generic.GenericContainer`
Specified by:
  `getSchema` in class `org.apache.avro.specific.SpecificFixed`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Specified by:
  `writeExternal` in class `org.apache.avro.specific.SpecificFixed`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Specified by:
  `readExternal` in class `org.apache.avro.specific.SpecificFixed`
Throws:
  `IOException`